Package com.arms.api.poc.controller

## Class PocController

- java.lang.Object
- - com.arms.api.poc.controller.PocController

-     @RestController
      @RequestMapping("/anonymous/arms/poc")
      public class PocController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PocController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addPoc​(PocDTO pocDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getPoc​(java.lang.String pocId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocVO>>` | `getPocList​(PocDTO pocDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>>` | `removePoc​(java.lang.String pocId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>>` | `updatePoc​(PocDTO pocDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PocController

          public PocController()

  - ### Method Detail

    - #### addPoc

          @PostMapping("/addPoc.do")
          public org.springframework.http.ResponseEntity<?> addPoc​(@Validated(AddNode.class)
                                                                   PocDTO pocDTO)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPoc

          @GetMapping("/getPoc.do/{pocId}")
          public org.springframework.http.ResponseEntity<?> getPoc​(@PathVariable("pocId")
                                                                   java.lang.String pocId)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPocList

          @GetMapping("/getPocList.do")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocVO>> getPocList​(PocDTO pocDTO)
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updatePoc

          @PutMapping("/updatePoc.do")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>> updatePoc​(@Validated(UpdateNode.class)
                                                                                                                PocDTO pocDTO)
                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removePoc

          @DeleteMapping("/removePoc.do/{pocId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>> removePoc​(@PathVariable("pocId")
                                                                                                                java.lang.String pocId)
                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`